%define name rpm-get 
%define version 1.4
%define release 2mdk 

Summary:    Simple clone of apt-get for rpm
Name:       %{name}
Version:    %{version}
Release:    %{release}
License:	GPL
Group:      System/Configuration/Packaging
Source0:    http://www.linuxscript.org/rpm-get/%{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot

%description
rpm-get is a simple clone of Debian's apt-get utility for 
automatically download and install files.
Use the /etc/rpm-get.conf file to set up your favorites ftp mirrors.

%prep
%setup -q -n rpm-get

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/rpm-get

install -D -m755 %_builddir/%{name}/rpm-get-configure $RPM_BUILD_ROOT/sbin/rpm-get-configure
install -D -m755 $RPM_BUILD_DIR/rpm-get/rpm-get $RPM_BUILD_ROOT/sbin/rpm-get
install -D -m755 $RPM_BUILD_DIR/rpm-get/dep-check.sh $RPM_BUILD_ROOT/sbin/dep-check.sh
install -D -m755 $RPM_BUILD_DIR/rpm-get/rpm-dep.sh $RPM_BUILD_ROOT/sbin/rpm-dep.sh
install -D -m755 $RPM_BUILD_DIR/rpm-get/rpm-fle2pkg.sh $RPM_BUILD_ROOT/sbin/rpm-fle2pkg.sh
install -D -m644 $RPM_BUILD_DIR/rpm-get/rpm-get.conf $RPM_BUILD_ROOT%{_sysconfdir}/rpm-get.conf
install -D -m644 $RPM_BUILD_DIR/rpm-get/rpm-get.1 $RPM_BUILD_ROOT%{_mandir}/man1/rpm-get.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes BUGS AUTHORS LICENSE
%config(noreplace) %{_sysconfdir}/*
/sbin/*
%{_mandir}/man1/*
/var/rpm-get/

%changelog
* Sun Jan 20 2002 Daouda LO <daouda@mandrakesoft.com> 1.4-2mdk 
- fix group (Credits to Alexander)

* Sun Sep  2 2001 Daouda LO <daouda@mandrakesoft.com> 1.4-1mdk 
- release 1.4.

* Sat Jul 21 2001  Daouda Lo <daouda@mandrakesoft.com> 1.0-1mdk 
- release 1.0. 

* Sun Jul 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7-2mdk
- Fix some Daouda suck: ;)
  - s/^apt-get/rpm-get/ in %description.
  - s/Copyright/License/;
  
* Sun Jul  1 2001  Daouda Lo <daouda@mandrakesoft.com> 0.7-1mdk 
- first release for mdk 
- request for stress testing ;)

